Package uk.ac.starlink.topcat.plot2

## Class ReportLogger

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.ReportLogger

-     public class ReportLogger
      extends java.lang.Object

  Accepts plot reports on behalf of a layer control and reports them through the logging system. This is not intended to be the primary way that this information is conveyed to the user, but it's a functional fallback/placeholder where a report submission GUI is not available.
  Since:
    10 Dec 2014
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportLogger​(LayerControl control)` | Constructs a logger with a default logging level.
    `ReportLogger​(LayerControl control, java.util.logging.Level level)` | Constructs a logger with an explicit logging level.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `submitReports​(java.util.Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports)` | Issues logging messages relating to the reports of plot layers generated with this object's layer control.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportLogger

          public ReportLogger​(LayerControl control,
                              java.util.logging.Level level)

      Constructs a logger with an explicit logging level.
      Parameters:
        `control` - layer control on behalf of which reports will be dealt with
        `level` - logging level at which reports will be logged

    - #### ReportLogger

          public ReportLogger​(LayerControl control)

      Constructs a logger with a default logging level.
      Parameters:
        `control` - layer control on behalf of which reports will be dealt with

  - ### Method Detail

    - #### submitReports

          public void submitReports​(java.util.Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports)

      Issues logging messages relating to the reports of plot layers generated with this object's layer control.
      Parameters:
        `reports` - plot reports

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.